<?php


namespace App\ViewModels\Consulta\ConsultaByMedicoViewModel;


use App\Utils\Builder;

class ConsultaByMedicoViewModelBuilder implements Builder
{
    protected $id_paciente;
    protected $nome;
    protected $email;
    protected $cpf;
    protected $numero;
    protected $complemento;
    protected $referencias;
    protected $cep;
    protected $cidade;
    protected $estado;
    protected $logradouro;

    public function build() : ConsultaByMedicoViewModel
    {
        $assistente_details_vm = new ConsultaByMedicoViewModel();
        $assistente_details_vm->setIdPaciente($this->id_paciente);
        $assistente_details_vm->setNome($this->nome);
        $assistente_details_vm->setEmail($this->email);
        $assistente_details_vm->setCpf($this->cpf);
        $assistente_details_vm->setNumero($this->numero);
        $assistente_details_vm->setComplemento($this->complemento);
        $assistente_details_vm->setReferencias($this->referencias);
        $assistente_details_vm->setCep($this->cep);
        $assistente_details_vm->setCidade($this->cidade);
        $assistente_details_vm->setEstado($this->estado);
        $assistente_details_vm->setLogradouro($this->logradouro);
        return $assistente_details_vm;
    }

    /**
     * @param mixed $numero
     * @return ConsultaByMedicoViewModelBuilder
     */
    public function setNumero($numero)
    {
        $this->numero = $numero;
        return $this;
    }

    /**
     * @param mixed $complemento
     * @return ConsultaByMedicoViewModelBuilder
     */
    public function setComplemento($complemento)
    {
        $this->complemento = $complemento;
        return $this;
    }

    /**
     * @param mixed $referencias
     * @return ConsultaByMedicoViewModelBuilder
     */
    public function setReferencias($referencias)
    {
        $this->referencias = $referencias;
        return $this;
    }

    /**
     * @param mixed $cep
     * @return ConsultaByMedicoViewModelBuilder
     */
    public function setCep($cep)
    {
        $this->cep = $cep;
        return $this;
    }

    /**
     * @param mixed $cidade
     * @return ConsultaByMedicoViewModelBuilder
     */
    public function setCidade($cidade)
    {
        $this->cidade = $cidade;
        return $this;
    }

    /**
     * @param mixed $estado
     * @return ConsultaByMedicoViewModelBuilder
     */
    public function setEstado($estado)
    {
        $this->estado = $estado;
        return $this;
    }

    public function setLogradouro($logradouro)
    {
        $this->logradouro = $logradouro;
        return $this;
    }

    public function setIdPaciente($id_paciente)
    {
        $this->id_paciente = $id_paciente;
        return $this;
    }

    public function setNome($nome)
    {
        $this->nome = $nome;
        return $this;
    }

    public function setEmail($email)
    {
        $this->email = $email;
        return $this;
    }

    public function setCpf($cpf)
    {
        $this->cpf = $cpf;
        return $this;
    }



}